Bug 673665 - Review Request: R-XML - Tools for parsing and generating xml within R and s-plus
Summary: Review Request: R-XML - Tools for parsing and generating xml within R and s-plus
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-29 12:07 UTC by Pierre-YvesChibon
Modified: 2011-03-21 03:30 UTC (History)
3 users (show)

Fixed In Version: R-XML-3.2.0-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-21 03:30:36 UTC
karlthered: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Pierre-YvesChibon 2011-01-29 12:07:28 UTC
Spec URL: http://pingou.fedorapeople.org/RPMs/R-XML.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/R-XML-3.2.0-1.fc14.src.rpm
Description: 
This package provides many approaches for both reading and creating XML
(and HTML) documents (including DTDs), both local and accessible via HTTP
or FTP. It also offers access to an XPath "interpreter".

Comment 1 Haïkel Guémar 2011-02-12 19:41:38 UTC
R-XML

all relevant MUST and SHOULD points are listed here.

Must: rplint on src.rpm and binary rpms   OK 
$ rpmlint -iv R-XML-3.2.0-1.fc14.src.rpm                                                                                                                                    
R-XML.src: I: checking
R-XML.src: I: checking-url http://cran.at.r-project.org/src/contrib/XML_3.2-0.tar.gz (timeout 10 seconds)
R-XML.src: I: checking-url http://cran.at.r-project.org/src/contrib/XML_3.2-0.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -iv R-XML-3.2.0-1.fc14.x86_64.rpm                                                                                                    
R-XML.x86_64: I: checking
R-XML.x86_64: I: checking-url http://cran.at.r-project.org/src/contrib/XML_3.2-0.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings

MUST: package is named accordingly to general and R specific naming guidelines. OK
Note: seems that using real names in changelog is no more written in guidelines, but it's a good practice, and i expect that you follow it.

MUST: spec file name matches %{name} OK

MUST: package meet packaging guidelines. OK 

MUST: package is licensed under a fedora compliant license (BSD) OK

MUST: spec is written in legible american english. OK

MUST: provided and upstream sources checksums match.  OK
provided sources: d862067f93f4b63feda6f80d0e307591452b0990
upstream sources: d862067f93f4b63feda6f80d0e307591452b0990

MUST: compilation tested on all supported platforms (x86 and x86_64) for F14 under mock. OK

MUST: package doesn't bundle third party libraries. OK

MUST: package owns created directories (and only them). OK

MUST: files are not listed twice. OK
 
MUST: files permissions are properly set. OK

MUST: consistent use of macros. OK

MUST: only ships permissible content. OK

MUST: doc is properly handled. OK

MUST: filenames are valid UTF-8. OK 

General and R specific guidelines are respected, under the reserve that you use your real name in changelog (i have confidence that you'll fix this trivial issue), i'll approve this package.

Comment 2 Pierre-YvesChibon 2011-02-13 10:25:59 UTC
New Package SCM Request
=======================
Package Name: R-XML
Short Description: Tools for parsing and generating xml within r and s-plus
Owners: pingou
Branches: f15
InitialCC:

Comment 3 Pierre-YvesChibon 2011-02-13 10:26:30 UTC
Thanks for the review Haikel !

Comment 4 Jason Tibbitts 2011-02-15 19:23:16 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-02-16 09:33:51 UTC
R-XML-3.2.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/R-XML-3.2.0-2.fc15

Comment 6 Fedora Update System 2011-02-16 14:20:53 UTC
R-XML-3.2.0-2.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-XML'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/R-XML-3.2.0-2.fc15

Comment 7 Fedora Update System 2011-03-21 03:30:30 UTC
R-XML-3.2.0-2.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.